# Resources (ARX GUI Documentation)

org.deidentifier.arx.gui.resources

## Class Resources

- java.lang.Object
- - org.deidentifier.arx.gui.resources.Resources

-     public class Resources
      extends java.lang.Object

  This class provides access to basic resources.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Resources(org.eclipse.swt.widgets.Shell shell)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.swt.widgets.Display` | `getDisplay()` Returns the display.
    `int` | `getGradientLength()` Returns the size of the gradient used in heatmaps.
    `static org.eclipse.swt.graphics.Image[]` | `getIconSet(org.eclipse.swt.widgets.Display display)` Returns the logo.
    `static java.lang.String` | `getLicenseText()` Reads the content from the file license.txt located in the package org.deidentifier.arx.gui.resources and returns the content as string.
    `org.apache.log4j.Logger` | `getLogger()` Returns the logger.
    `org.eclipse.swt.graphics.Image` | `getManagedImage(java.lang.String name)` Returns an image.
    `static java.lang.String` | `getMessage(java.lang.String key)` Returns the associated message TODO: Make this method non-static.
    `org.eclipse.swt.widgets.Shell` | `getShell()` Returns the shell.
    `static org.eclipse.swt.graphics.Image` | `getSplash(org.eclipse.swt.widgets.Display display)` Returns the splash image.
    `java.io.InputStream` | `getStream(java.lang.String name)` Returns a stream.
    `static java.lang.String` | `getVersion()` Returns the version.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Resources

          public Resources(org.eclipse.swt.widgets.Shell shell)

      Creates a new instance.
      Parameters:
        `shell` -

  - ### Method Detail

    - #### getIconSet

          public static org.eclipse.swt.graphics.Image[] getIconSet(org.eclipse.swt.widgets.Display display)

      Returns the logo.
      Parameters:
        `display` -
      Returns:

    - #### getLicenseText

          public static java.lang.String getLicenseText()

      Reads the content from the file license.txt located in the package org.deidentifier.arx.gui.resources and returns the content as string.
      Returns:

    - #### getMessage

          public static java.lang.String getMessage(java.lang.String key)

      Returns the associated message TODO: Make this method non-static.
      Parameters:
        `key` -
      Returns:

    - #### getSplash

          public static org.eclipse.swt.graphics.Image getSplash(org.eclipse.swt.widgets.Display display)

      Returns the splash image.
      Parameters:
        `display` -
      Returns:

    - #### getVersion

          public static java.lang.String getVersion()

      Returns the version.
      Returns:

    - #### getDisplay

          public org.eclipse.swt.widgets.Display getDisplay()

      Returns the display.
      Returns:

    - #### getGradientLength

          public int getGradientLength()

      Returns the size of the gradient used in heatmaps.
      Returns:

    - #### getLogger

          public org.apache.log4j.Logger getLogger()

      Returns the logger.
      Returns:

    - #### getManagedImage

          public org.eclipse.swt.graphics.Image getManagedImage(java.lang.String name)

      Returns an image. Do not dispose the image.
      Parameters:
        `name` -
      Returns:

    - #### getShell

          public org.eclipse.swt.widgets.Shell getShell()

      Returns the shell.
      Returns:

    - #### getStream

          public java.io.InputStream getStream(java.lang.String name)

      Returns a stream.
      Parameters:
        `name` -
      Returns: